#!/bin/bash

# $Copyright: Copyright (c) 2014 Symantec Corporation.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
# The Licensed Software and Documentation are deemed to be commercial
# computer software as defined in FAR 12.212 and subject to restricted
# rights as defined in FAR Section 52.227-19 "Commercial Computer
# Software - Restricted Rights" and DFARS 227.7202, "Rights in
# Commercial Computer Software or Commercial Computer Software
# Documentation", as applicable, and any successor regulations. Any use,
# modification, reproduction release, performance, display or disclosure
# of the Licensed Software and Documentation by the U.S. Government
# shall be solely in accordance with the terms of this Agreement.  $
# $Header: /project/isv-agent/VProAgents/CiscoUCS/conf/CiscoUCSTypes.cmd,v 1.1 2014/08/11 12:08:30 kkorde Exp $

set -e
set -u

#-------------------------------------------
# Quick script to import type definitioins
#-------------------------------------------
agent_name="CiscoUCS"
conf_dir="/etc/VRTSagents/ha/conf/${agent_name}"
tmp_dir="${conf_dir}/temp"

cf_file=${agent_name}Types.cf

cur_dir=${PWD}
cd ${conf_dir}
mkdir -p ${tmp_dir}
cp ${cf_file} ${tmp_dir}/${cf_file}
echo "include \"${cf_file}\"" > ${tmp_dir}/main.cf
cd ${tmp_dir}

vcs_dir="/opt/VRTSvcs/bin"
PATH=/opt/VRTSvcs/bin:$PATH
export PATH

hacf -verify .
set +e
haconf -makerw
set -e
sh main.cmd
haconf -dump

cd ${cur_dir}
rm ${tmp_dir}/${cf_file}
rm ${tmp_dir}/main.cf
rm ${tmp_dir}/main.cmd
rmdir ${tmp_dir}

echo "${agent_name} Agent Type successfully imported."
